文档管理中心

单个查询会员卡个人化实例

功能介绍

根据instanceId获取对应的会员卡个人化实例。

场景描述

开发者可以调用该API,查看某一个已添加到华为钱包服务器的会员卡个人化实例。

使用约束

需在华为AGC网站上创建应用并申请卡券对应的服务。

接口原型

承载协议

HTTPS GET

接口方向

开发者服务器->华为钱包服务器

接口URL

{url}/hmspass/v1/loyalty/instance/{instanceId}

{url}变量需要开发者根据服务器所属区域自行选择,请参见钱包服务器地址

数据格式

请求消息:Content-Type: application/json

响应消息:Content-Type: application/json

路径参数

展开

参数

是否必选

参数类型

描述

instanceId

String

个人化实例的唯一标识符。这个ID在同一个appId下唯一。这个ID只能包含字母、数字和(.)、(-)、(_)。

请求参数

Request Header

展开

参数

是否必选

参数类型

描述

Authorization

String

鉴权码。获取方式详见基于OAuth 2.0开放鉴权,请使用“客户端模式”。“client_id”和“client_secret”即为开发者在华为AGC网站上创建应用后获取的“App ID”和“App key”。将获取到的“access_token”的值拼接在字符串“Bearer”之后,以空格符相隔,组成“Authorization”参数的值。

Content-Type

String

固定值:“application/json;charset=utf-8”。

Accept

String

固定值:“application/json;charset=utf-8”。

请求示例

收起
自动换行
深色代码主题
复制
  1. GET /hmspass/v1/loyalty/instance/40001 HTTP/1.1
  2. Content-Type: application/json;charset=utf-8
  3. Authorization: Bearer ***
  4. Accept: application/json;charset=utf-8
  5. Host: wallet-passentrust-drcn.cloud.huawei.com.cn

响应参数

错误码为200时:

展开

参数

参数类型

描述

详见HwWalletObject参数描述

HwWalletObject

instanceId对应的卡券实例

响应示例

收起
自动换行
深色代码主题
复制
  1. HTTP/1.1 200 OK
  2. Content-Type: application/json
  3. {
  4. "passTypeIdentifier": "hwpass.com.huawei.wallet.loyalty.test",
  5. "passStyleIdentifier": "loyaltyModelTest",
  6. "organizationPassId": "356688115",
  7. "serialNumber": "40001",
  8. "fields": {
  9. "status": {
  10. "state": "active",
  11. "effectTime": "2019-11-13T00:00:00.111Z",
  12. "expireTime": "2028-11-20T00:00:00.111Z"
  13. },
  14. "barCode": {
  15. "text": "1118466050",
  16. "type": "codabar",
  17. "value": "1118466050",
  18. "encoding": "UTF-8"
  19. },
  20. "commonFields": [
  21. {
  22. "key": "cardNumber",
  23. "value": "356688115",
  24. "label": "Card Number"
  25. },
  26. {
  27. "key": "balance",
  28. "value": "$199",
  29. "label": "Balance"
  30. },
  31. {
  32. "key": "memberName",
  33. "value": "Joe Wiley",
  34. "label": "Name"
  35. }
  36. ],
  37. "appendFields": [
  38. {
  39. "key": "points",
  40. "value": "2000",
  41. "label": "Points"
  42. }
  43. ]
  44. }
  45. }

错误码

详见错误码

调用示例

收起
自动换行
深色代码主题
复制
  1. public HwWalletObject getWalletModelByModelId(String url, String modelId) {
  2. // Construct the http header.
  3. HttpHeaders header = constructHttpHeaders();
  4. // Construct the http URL.
  5. String baseUrl = ConfigHelper.instants().getValue("walletServerBaseUrl");
  6. String walletServerUrl = baseUrl + url + modelId;
  7. // Send the http request and get response.
  8. ResponseEntity<HwWalletObject> response =
  9. REST_TEMPLATE.exchange(walletServerUrl, HttpMethod.GET, new HttpEntity(header), HwWalletObject.class);
  10. // Return the wallet model with the corresponding model ID.
  11. return response.getBody();
  12. }
在 API参考 中进行搜索
请输入您想要搜索的关键词